Skip to main content
GET
/
v1
/
namespaces
/
{tenant_meta.namespace}
/
sbom-imports
/
{uuid}
GetSBOMImport
curl --request GET \
  --url https://api.endorlabs.com/v1/namespaces/{tenant_meta.namespace}/sbom-imports/{uuid}
{
  "context": {
    "id": "<string>",
    "type": "CONTEXT_TYPE_UNSPECIFIED",
    "tags": [
      "<string>"
    ],
    "will_be_deleted_at": "2023-11-07T05:31:56Z"
  },
  "meta": {
    "name": "<string>",
    "annotations": {},
    "create_time": "2023-11-07T05:31:56Z",
    "created_by": "<string>",
    "description": "<string>",
    "index_data": {
      "data": [
        "<string>"
      ],
      "search_score": 123,
      "tenant": "<string>",
      "will_be_deleted_at": "2023-11-07T05:31:56Z"
    },
    "kind": "<string>",
    "parent_kind": "<string>",
    "parent_uuid": "<string>",
    "references": {},
    "tags": [
      "<string>"
    ],
    "update_time": "2023-11-07T05:31:56Z",
    "updated_by": "<string>",
    "upsert_time": "2023-11-07T05:31:56Z",
    "version": "<string>"
  },
  "processing_status": {
    "analytic_time": "2023-11-07T05:31:56Z",
    "disable_automated_scan": true,
    "metadata": {
      "full_history_scan_time": "2023-11-07T05:31:56Z"
    },
    "queue_time": "2023-11-07T05:31:56Z",
    "scan_state": "SCAN_STATE_UNSPECIFIED",
    "scan_time": "2023-11-07T05:31:56Z"
  },
  "spec": {
    "kind": "SBOM_KIND_UNSPECIFIED",
    "cyclone_dx": "<string>",
    "cyclone_dx_bytes": "aSDinaTvuI8gbWludGxpZnk=",
    "identifier": "<string>",
    "main_component_purl": "<string>",
    "spdx": "<string>",
    "spdx_bytes": "aSDinaTvuI8gbWludGxpZnk=",
    "supplier_name": "<string>",
    "version": 123
  },
  "tenant_meta": {
    "namespace": "<string>"
  },
  "uuid": "<string>"
}

Path Parameters

tenant_meta.namespace
string
required

Namespaces are a way to organize organizational units into virtual groupings of resources. Namespaces must be a fully qualified name, for example, the child namespace of namespace "endor.prod" called "app" is called "endor.prod.app".

uuid
string
required

The UUID of the requested resource.

Query Parameters

get_parameters.mask
string

List of fields to return (all fields are returned by default).

Response

A successful response.

ImportedSBOM represents an SBOM that has been imported.

context
object
required

Contexts keep objects from different scans separated.

meta
object
required

Common fields for all Endor Labs resources.

processing_status
object
spec
object

The internal specification of the object.

tenant_meta
object

Tenant related data for the tenant containing the resource.

uuid
string